Skip to main content
Update Link
PUT https://services.leadconnectorhq.com/links/{linkId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

Link Id

Body

name
string
default:"first tag"
required
redirectTo
string
default:"https://www.google.com/"
required

Respuestas

{
  "link": {
    "id": "n4AriwEnFrGh3tu08W0U",
    "name": "first tag",
    "redirectTo": "https://www.google.com/",
    "fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
    "locationId": "ve9EPM428h8vShlRW1KT"
  }
}
{}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/links/YOUR_linkId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "first tag",
  "redirectTo": "https://www.google.com/"
}'
const response = await fetch('https://services.leadconnectorhq.com/links/YOUR_linkId', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"name": "first tag", "redirectTo": "https://www.google.com/"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/links/YOUR_linkId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"name": "first tag", "redirectTo": "https://www.google.com/"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/links/YOUR_linkId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'name': 'first tag', 'redirectTo': 'https://www.google.com/'}),
]);
$data = json_decode(curl_exec($ch), true);